Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           amap
Version:        5.4
Release:        alt2_19
Summary:        Network tool for application protocol detection
License:        AMAP License
#License        AMAP non-commercial rules added to GPLv2
URL:            https://github.com/hackerschoice/THC-Archive
Source0:        https://github.com/hackerschoice/THC-Archive/raw/master/Tools/%{name}-%{version}.tar.gz
Patch0:         %{name}-destdir.patch
Patch1:         %{name}-path.patch
Patch2:         %{name}-ldflags.patch
Patch3:         %{name}-new-homepage.patch
Patch4:         %{name}-system-pcre.patch
Patch5:         %{name}-optflags.patch
Patch6:         %{name}-lnamap6.patch
Patch7:         %{name}-openssl.patch

BuildRequires:  gcc
BuildRequires:  libssl-devel
BuildRequires:  libpcre-devel libpcrecpp-devel
Source44: import.info

%description
THC Amap is a next-generation tool for assisting network penetration testing.
It performs fast and reliable application protocol detection, independent
on the TCP/UDP port they are being bound to.

%prep
%setup -q
%patch0 -p1 -b .0destdir
%patch1 -p1 -b .1path
%patch2 -p1 -b .2ldflags
#%patch3 -p1 -b .3homepage
%patch4 -p1 -b .4pcre
%patch5 -p1 -b .5optflags
%patch6 -p1 -b .6lnamap6
%patch7 -p1 -b .openssl

%build
#%%configure
./configure --prefix=%{_prefix} --libdir=%{_libdir}
%{make_build} OPT="$RPM_OPT_FLAGS"


%install
%{makeinstall_std}

%files
%doc CHANGES README TODO
%doc --no-dereference LICENCE.AMAP LICENSE.GNU
%{_bindir}/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 5.4-alt2_19
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 5.4-alt2_18
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 5.4-alt2_17
- update to new release by fcimport

* Fri May 06 2022 Igor Vlasenko <viy@altlinux.org> 5.4-alt2_16
- update to new release by fcimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 5.4-alt2_15
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 5.4-alt2_14
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 5.4-alt2_13
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 5.4-alt1_13
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 5.4-alt1_12
- update to new release by fcimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 5.4-alt1_11
- new version

